Bug 478229 - MIGRATED_FROM_JIRA: ProxyEngine does not respect source filter
MIGRATED_FROM_JIRA: ProxyEngine does not respect source filter
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:10 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:10:23 EST
Here's the use case: I want to show all my Active Directory users in a subtree in my Penrose directory. I create a connection to my AD and a source that points to the users subtree of the AD and has a filter of (|(objectClass=organizationalUnit)(objectClass=user)). I add that source to my Penrose directory using Map LDAP Tree.

I would expect that when I browse the Penrose directory I would only see elements of objectClass organizationalUnit or user, but instead it ignores the filter and shows everything.
Additional Comments From ddunkin dated Wed Oct 03 15:10:07 CDT 2007 
This patch fixes the bug.

Additional Comments From ddunkin dated Wed Oct 03 15:11:43 CDT 2007 
The patch is against the 1.2 branch in svn.

Additional Comments From endisd dated Thu Jan 24 20:53:59 CST 2008 
This problem has been fixed in Penrose 1.2.5 and 2.0.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'attachmentNames' => '259.patch',
          'reporter' => 'ddunkin',
          'key' => 'PENROSE-259',
          'assignee' => 'endisd',
          'summary' => 'ProxyEngine does not respect source filter',
          'id' => '10873',
          'updated' => '2008-01-24 20:53:59.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-04-14 00:00:00.0',
                             'sequence' => '27',
                             'name' => 'Penrose-1.2.5',
                             'released' => 'true',
                             'id' => '10124',
                             'archived' => 'false'
                           },
                           {
                             'releaseDate' => '2008-04-07 00:00:00.0',
                             'sequence' => '28',
                             'name' => 'Penrose-2.0RC1',
                             'released' => 'true',
                             'id' => '10093',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Here's the use case: I want to show all my Active Directory users in a subtree in my Penrose directory. I create a connection to my AD and a source that points to the users subtree of the AD and has a filter of (|(objectClass=organizationalUnit)(objectClass=user)). I add that source to my Penrose directory using Map LDAP Tree.

I would expect that when I browse the Penrose directory I would only see elements of objectClass organizationalUnit or user, but instead it ignores the filter and shows everything.',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-17 00:00:00.0',
                                 'sequence' => '26',
                                 'name' => 'Penrose-1.2.4',
                                 'released' => 'true',
                                 'id' => '10123',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2007-10-03 15:04:07.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:10:26 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-259

Note You need to log in before you can comment on or make changes to this bug.